Commerce
Create a commerce item
Requires commerce:items:write.
POST
/
commerce
/
items
Create a commerce item
curl --request POST \
--url https://platform-api.visitoai.com/m2m/v1/commerce/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"amountMinor": 2,
"description": "<string>",
"currency": "<string>",
"active": true,
"allowQuantity": true,
"minQuantity": 2,
"maxQuantity": 2,
"fields": []
}
'import requests
url = "https://platform-api.visitoai.com/m2m/v1/commerce/items"
payload = {
"name": "<string>",
"amountMinor": 2,
"description": "<string>",
"currency": "<string>",
"active": True,
"allowQuantity": True,
"minQuantity": 2,
"maxQuantity": 2,
"fields": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
amountMinor: 2,
description: '<string>',
currency: '<string>',
active: true,
allowQuantity: true,
minQuantity: 2,
maxQuantity: 2,
fields: []
})
};
fetch('https://platform-api.visitoai.com/m2m/v1/commerce/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"item": {
"itemId": "<string>",
"tenantId": "<string>",
"name": "<string>",
"amountMinor": 2,
"currency": "<string>",
"active": true,
"scope": "global",
"allowQuantity": true,
"minQuantity": 2,
"maxQuantity": 2,
"fields": [
{
"key": "<string>",
"label": "<string>",
"type": "text",
"required": true,
"options": [
"<string>"
]
}
],
"description": "<string>",
"propertyId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "M2M_AUTH_INSUFFICIENT_SCOPE",
"message": "M2M credential does not have required scope.",
"details": {
"requiredScopes": [
"conversations:write"
],
"missingScopes": [
"conversations:write"
]
}
}
}Authorizations
Server-side tenant-scoped credential created from Build > API Keys.
Body
application/json
Minimum string length:
1Required range:
x >= 1Required string length:
3Required range:
x >= 1Required range:
x >= 1Show child attributes
Show child attributes
Response
Commerce item created
Show child attributes
Show child attributes
⌘I
Create a commerce item
